Get Drill Through Reports

get

/applications/{applicationName}/databases/{databaseName}/reports

Returns all the drill through reports from the specified application and database.

Request

Path Parameters
Query Parameters
  • Filter the list of drill-through reports using a keyword.

  • Order By specification in format:column:direction. For example, name:asc.

Back to Top

Response

200 Response

OK

The drill through reports were retrieved successfully. Returns the links to get, edit, or delete the reports.

400 Response

Bad Request

Failed to get the drill through reports. The application or database name may be incorrect.

500 Response

Internal Server Error.

Back to Top

Examples

The following example shows how to get a list of all drill through reports in the Essbase cube.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command

call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/SampleDtr/databases/Basic/reports" -H Accept:application/json -H Content-Type:application/octet-stream -u %User%:%Password%

Example of Response Body

The following example shows the contents of the response body in JSON format:

{
  "items" : [ {
    "name" : "sampleDtr",
    "modifiedTime" : 1660068656087,
    "sizeInBytes" : 565,
    "links" : [ {
      "rel" : "get",
      "href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/SampleDtr/databases/Basic/reports/sampleDtr",
      "method" : "GET"
    }, {
      "rel" : "delete",
      "href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/SampleDtr/databases/Basic/reports/sampleDtr",
      "method" : "DELETE"
    }, {
      "rel" : "edit",
      "href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/SampleDtr/databases/Basic/reports/sampleDtr",
      "method" : "PUT"
    } ]
  }, {
    "name" : "drill2",
    "modifiedTime" : 1660076664087,
    "sizeInBytes" : 912,
    "links" : [ {
      "rel" : "get",
      "href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/SampleDtr/databases/Basic/reports/drill2",
      "method" : "GET"
    }, {
      "rel" : "delete",
      "href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/SampleDtr/databases/Basic/reports/drill2",
      "method" : "DELETE"
    }, {
      "rel" : "edit",
      "href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/SampleDtr/databases/Basic/reports/drill2",
      "method" : "PUT"
    } ]
  } ],
  "totalResults" : 2,
  "count" : 2
}
Back to Top